GeoPoint.Impl (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class GeoPoint.Impl

    java.lang.Object
      com.bbn.openmap.geo.GeoPoint.Impl

All Implemented Interfaces:
  GeoExtent, GeoPoint

Enclosing interface:
  GeoPoint

    public static class GeoPoint.Impl

extends java.lang.Object
implements GeoPoint

A standard implementation of GeoPoint.

Author:
  dietrick

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.GeoPoint
`GeoPoint.Impl`

Field Summary
`protected java.lang.Object` | `id`
`protected Geo` | `point`

Constructor Summary
`GeoPoint.Impl(double lat, double lon)` Create a Impl from decimal degrees lat/lon coordinates.
`GeoPoint.Impl(double lat, double lon, boolean isDegrees)` Create a Impl from decimal degrees lat/lon coordinates.
`GeoPoint.Impl(Geo p)`

Method Summary
`BoundingCircle` | `getBoundingCircle()` compute a point and radius around the extent.
`java.lang.Object` | `getID()` return an object that this extent represents.
`Geo` | `getPoint()` return the current point as a Geo object
`java.lang.Object` | `getPointId()` Deprecated. use getID() instead.
`void` | `setID(java.lang.Object pid)`
`void` | `setPointId(java.lang.Object pid)` Deprecated. use setID() instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### point

    protected Geo point

### id

    protected java.lang.Object id

Constructor Detail

### GeoPoint.Impl

    public GeoPoint.Impl(Geo p)

### GeoPoint.Impl

    public GeoPoint.Impl(double lat,
                         double lon)

  Create a Impl from decimal degrees lat/lon coordinates.

  Parameters:
    `lat` -
    `lon` -

### GeoPoint.Impl

    public GeoPoint.Impl(double lat,
                         double lon,
                         boolean isDegrees)

  Create a Impl from decimal degrees lat/lon coordinates.

  Parameters:
    `lat` -
    `lon` -
    `isDegrees` - flag to specify decimal degrees (true) or radians.

Method Detail

### getPoint

    public Geo getPoint()

  Description copied from interface: `GeoPoint`
  return the current point as a Geo object

  Specified by:
    `getPoint` in interface `GeoPoint`

### setPointId

    public void setPointId(java.lang.Object pid)

  Deprecated. use setID() instead.

### getPointId

    public java.lang.Object getPointId()

  Deprecated. use getID() instead.

### setID

    public void setID(java.lang.Object pid)

### getID

    public java.lang.Object getID()

  Description copied from interface: `GeoExtent`
  return an object that this extent represents.

  Specified by:
    `getID` in interface `GeoExtent`

### getBoundingCircle

    public BoundingCircle getBoundingCircle()

  Description copied from interface: `GeoExtent`
  compute a point and radius around the extent.

  Specified by:
    `getBoundingCircle` in interface `GeoExtent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details